<?php

namespace app\entity\data\user;

use app\entity\data\DataEntity;

class UserAddressEntity extends DataEntity
{
    public $addressId = null;  // 用户地址id
    public $uid = null;  // 用户id
    public $realName = null;  // 收货人姓名
    public $phone = null;  // 收货人电话
    public $province = null;  // 收货人所在省
    public $city = null;  // 收货人所在市
    public $cityId = null;  // 城市id
    public $district = null;  // 收货人所在区
    public $village = null;  // 收货人所在村
    public $villageId = null;  // 村id
    public $detail = null;  // 收货人详细地址
    public $postCode = null;  // 邮编
    public $longitude = null;  // 经度
    public $latitude = null;  // 纬度
    public $isDefault = null;  // 是否默认
    public $isDel = null;  // 是否删除
    public $createTime = null;  // 添加时间
    public $codeList = null;  // 地址id（regions）

    /**
     * @return mixed
     */
    public function getAddressId()
    {
        return $this->addressId;
    }

    /**
     * @param mixed $addressId
     * @return UserAddressEntity
     */
    public function setAddressId($addressId): UserAddressEntity
    {
        $this->addressId = $addressId;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getUid()
    {
        return $this->uid;
    }

    /**
     * @param mixed $uid
     * @return UserAddressEntity
     */
    public function setUid($uid): UserAddressEntity
    {
        $this->uid = $uid;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getRealName()
    {
        return $this->realName;
    }

    /**
     * @param mixed $realName
     * @return UserAddressEntity
     */
    public function setRealName($realName): UserAddressEntity
    {
        $this->realName = $realName;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getPhone()
    {
        return $this->phone;
    }

    /**
     * @param mixed $phone
     * @return UserAddressEntity
     */
    public function setPhone($phone): UserAddressEntity
    {
        $this->phone = $phone;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getProvince()
    {
        return $this->province;
    }

    /**
     * @param mixed $province
     * @return UserAddressEntity
     */
    public function setProvince($province): UserAddressEntity
    {
        $this->province = $province;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getCity()
    {
        return $this->city;
    }

    /**
     * @param mixed $city
     * @return UserAddressEntity
     */
    public function setCity($city): UserAddressEntity
    {
        $this->city = $city;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getCityId()
    {
        return $this->cityId;
    }

    /**
     * @param mixed $cityId
     * @return UserAddressEntity
     */
    public function setCityId($cityId): UserAddressEntity
    {
        $this->cityId = $cityId;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getDistrict()
    {
        return $this->district;
    }

    /**
     * @param mixed $district
     * @return UserAddressEntity
     */
    public function setDistrict($district): UserAddressEntity
    {
        $this->district = $district;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getVillage()
    {
        return $this->village;
    }

    /**
     * @param mixed $village
     * @return UserAddressEntity
     */
    public function setVillage($village): UserAddressEntity
    {
        $this->village = $village;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getVillageId()
    {
        return $this->villageId;
    }

    /**
     * @param mixed $villageId
     * @return UserAddressEntity
     */
    public function setVillageId($villageId): UserAddressEntity
    {
        $this->villageId = $villageId;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getDetail()
    {
        return $this->detail;
    }

    /**
     * @param mixed $detail
     * @return UserAddressEntity
     */
    public function setDetail($detail): UserAddressEntity
    {
        $this->detail = $detail;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getPostCode()
    {
        return $this->postCode;
    }

    /**
     * @param mixed $postCode
     * @return UserAddressEntity
     */
    public function setPostCode($postCode): UserAddressEntity
    {
        $this->postCode = $postCode;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getLongitude()
    {
        return $this->longitude;
    }

    /**
     * @param mixed $longitude
     * @return UserAddressEntity
     */
    public function setLongitude($longitude): UserAddressEntity
    {
        $this->longitude = $longitude;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getLatitude()
    {
        return $this->latitude;
    }

    /**
     * @param mixed $latitude
     * @return UserAddressEntity
     */
    public function setLatitude($latitude): UserAddressEntity
    {
        $this->latitude = $latitude;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getIsDefault()
    {
        return $this->isDefault;
    }

    /**
     * @param mixed $isDefault
     * @return UserAddressEntity
     */
    public function setIsDefault($isDefault): UserAddressEntity
    {
        $this->isDefault = $isDefault;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getIsDel()
    {
        return $this->isDel;
    }

    /**
     * @param mixed $isDel
     * @return UserAddressEntity
     */
    public function setIsDel($isDel): UserAddressEntity
    {
        $this->isDel = $isDel;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getCreateTime()
    {
        return $this->createTime;
    }

    /**
     * @param mixed $createTime
     * @return UserAddressEntity
     */
    public function setCreateTime($createTime): UserAddressEntity
    {
        $this->createTime = $createTime;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getCodeList()
    {
        return $this->codeList;
    }

    /**
     * @param mixed $codeList
     * @return UserAddressEntity
     */
    public function setCodeList($codeList): UserAddressEntity
    {
        $this->codeList = $codeList;
        return $this;
    }
}